Package org.eclipse.m2m.atl.engine.emfvm.lib

## Class TransientLink

- java.lang.Object
- - org.eclipse.m2m.atl.engine.emfvm.lib.TransientLink

    public class TransientLink
    extends java.lang.Object

Stores a transient link.

### Constructor Summary

Constructors
`TransientLink()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getRule()`
`java.util.Map<java.lang.Object,​java.lang.Object>` `getSourceElements()`
`java.util.Map<java.lang.Object,​java.lang.Object>` `getTargetElements()`
`java.util.List<java.lang.Object>` `getTargetElementsList()`
`java.util.Map<java.lang.Object,​java.lang.Object>` `getVariables()`
`void` `setRule​(java.lang.String rule)`
`void` `setSourceElements​(java.util.Map<java.lang.Object,​java.lang.Object> sourceElements)`
`void` `setTargetElements​(java.util.Map<java.lang.Object,​java.lang.Object> targetElements)`
`void` `setTargetElementsList​(java.util.List<java.lang.Object> targetElementsList)`
`void` `setVariables​(java.util.Map<java.lang.Object,​java.lang.Object> variables)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransientLink

    public TransientLink()

### Method Detail

#### getRule

    public java.lang.String getRule()

#### setRule

    public void setRule​(java.lang.String rule)

#### getSourceElements

    public java.util.Map<java.lang.Object,​java.lang.Object> getSourceElements()

#### setSourceElements

    public void setSourceElements​(java.util.Map<java.lang.Object,​java.lang.Object> sourceElements)

#### getTargetElements

    public java.util.Map<java.lang.Object,​java.lang.Object> getTargetElements()

#### setTargetElements

    public void setTargetElements​(java.util.Map<java.lang.Object,​java.lang.Object> targetElements)

#### getTargetElementsList

    public java.util.List<java.lang.Object> getTargetElementsList()

#### setTargetElementsList

    public void setTargetElementsList​(java.util.List<java.lang.Object> targetElementsList)

#### getVariables

    public java.util.Map<java.lang.Object,​java.lang.Object> getVariables()

#### setVariables

    public void setVariables​(java.util.Map<java.lang.Object,​java.lang.Object> variables)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
See Also:
  `Object.toString()`